System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Evweb error - Unable to find library 'libsecure.so'

R Morgan
Advisor

Evweb error - Unable to find library 'libsecure.so'

Executing evweb gives:

/usr/lib/hpux64/dld.so: Unable to find library 'libsecure.so'

Environment:
B.11.23 ia64
SysFaultMgmt B.07.01.01.03
OnlineDiag B.11.23.13.02
OpenSSL A.00.09.08n.002
WBEMSvcs A.02.05.08
EMS-Config A.04.20.23
EMS-Core A.04.20.23

prompt>chatr /opt/sfm/bin/evweb

/opt/sfm/bin/evweb:
64-bit ELF executable
shared library dynamic path search:
LD_LIBRARY_PATH disabled first
SHLIB_PATH disabled second
embedded path enabled third /opt/sfm/lib:/opt/openssl/lib/hpux64:/opt/wbem/lib:/opt/resmon/lib:/usr/lib:/opt/sfmdb/pgsql/lib/hpux64:
shared library list:
libgs.1
libcommands.1
libdblib.1
libxerces-c.so.23
librt.so.1
libstd_v2.so.1
libCsup.so.1
libpthread.so.1
libm.so.1
libunwind.so.1
libc.so.1
libdl.so.1
shared library binding:
deferred
global hash table disabled
global hash table size 1103
shared library mapped private disabled
runtime checks disabled
shared library segment merging disabled
shared vtable support disabled
explicit unloading disabled
linkage table protection disabled
segments:
index type address flags size
7 text 4000000000000000 z---c- D (default)
8 data 6000000000000000 ---m-- D (default)
executable from stack: D (default)
kernel assisted branch prediction enabled
lazy swap allocation for dynamic segments disabled
nulptr dereferences trap disabled
address space model: default
caliper dynamic instrumentation disabled

I was not able to find a libsecure.so library in any of the embedded paths or in any location.

Has anyone seen this or similiar?

What product includes the 'libsecure' library?

Thanks in advance for any assistance.

Robert
7 REPLIES
R Morgan
Advisor

Re: Evweb error - Unable to find library 'libsecure.so'

I don't know how I missed it, but there is a 'libsecure.1' in /opt/sfm/lib.

I could try a link from there to libsecure.so, but I'm concerned there is a bigger problem.

Robert
R Morgan
Advisor

Re: Evweb error - Unable to find library 'libsecure.so'

It looks like there was a failed configure step in the System Fault Management (SFM) install:

SFM-CORE.EMT_COREIA

Extracted from configure script:

createLibDirLinks( )
{
createLink $EMT_HOME/lib/libcef.1 $EMT_HOME/lib/libcef.$SL
createLink $EMT_HOME/lib/libcerapi.1 $EMT_HOME/lib/libcerapi.$SL
createLink $EMT_HOME/lib/libcmd.1 $EMT_HOME/lib/libcmd.$SL
createLink $EMT_HOME/lib/libsecure.1 $EMT_HOME/lib/libsecure.$SL
}

I'll attempt to discover why the EMT configure is failing.
James R. Ferguson
Acclaimed Contributor

Re: Evweb error - Unable to find library 'libsecure.so'

Hi Robert:

I see no problem with symlinking the library. On an 11.31 system of mine:

# chatr /opt/sfm/bin/evweb
/opt/sfm/bin/evweb:
64-bit ELF executable
shared library dynamic path search:
LD_LIBRARY_PATH disabled first
SHLIB_PATH disabled second
embedded path enabled third /opt/sfm/lib:/opt/openssl/lib/hpux64:/opt/wbem/lib:/opt/resmon/lib:/usr/lib:/opt/psb/db/pgsql/lib/hpux64:



# find /usr /opt \( -type f -o -type l \) -name libsecure.so -exec ls -ld {} +
lrwxr-xr-x 1 root sys 25 Feb 17 14:33 /opt/sfm/lib/libsecure.so -> /opt/sfm//lib/libsecure.1

Regards!

...JRF...
R Morgan
Advisor

Re: Evweb error - Unable to find library 'libsecure.so'

The swagent.log contains:

* Beginning the Configure Execution Phase.
* Configuring EMT...
* Creating the EMT database...
ERROR: Failed to change the password for EMT user for CER database.
ERROR: Failed to create the EMT database.
ERROR: Could not install the EMT database. EMT configure failed.
ERROR: The "configure" script for "SFM-CORE.EMT_COREIA" failed (exit
code "1"). The script location was
"/var/tmp/BAAa05202/catalog/SFM-CORE/EMT_COREIA/configure".
* This script had errors and the execution of this fileset
cannot proceed until the problem is fixed. Check the above
output from the script for further details.
NOTE: EVWEB Successfully installed on port 10864

I'll start researching these failures.

Robert
James R. Ferguson
Acclaimed Contributor

Re: Evweb error - Unable to find library 'libsecure.so'

Hi (again) Robert:

> It looks like there was a failed configure step in the System Fault Management (SFM) install:

Oh, our posts crossed. In that case, I'd certainly reinstall as your starting point.

Regards!

...JRF...
R Morgan
Advisor

Re: Evweb error - Unable to find library 'libsecure.so'

I've removed SysFaultMgmt and installed fresh.

Unfortunately, the exact same EMT configuration error occurs.

Robert
KRS_1
Frequent Advisor

Re: Evweb error - Unable to find library 'libsecure.so'

Robert,

It is mostly causing of sfmdb id does't exist on the system. Make sure you have sfmdb user id exists. It should solve your issue